org.apache.jmeter.report.processor.graph

## Class AbstractOverTimeGraphConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
      - - org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer

All Implemented Interfaces:
  SampleConsumer, SampleProcessor, SampleProducer

Direct Known Subclasses:
  ActiveThreadsGraphConsumer, BytesThroughputGraphConsumer, CodesPerSecondGraphConsumer, ConnectTimeOverTimeGraphConsumer, CustomGraphConsumer, HitsPerSecondGraphConsumer, LatencyOverTimeGraphConsumer, ResponseCustomGraphGraphConsumer, ResponseTimeOverTimeGraphConsumer, ResponseTimePercentilesOverTimeGraphConsumer, TotalTPSGraphConsumer, TransactionsPerSecondGraphConsumer

    public abstract class AbstractOverTimeGraphConsumer
    extends AbstractGraphConsumer

The class AbstractOverTimeGraphConsumer provides a base class for over time graphs.

Since:
  3.0

### Field Summary

Fields
`static String` `RESULT_CTX_GRANULARITY`

### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

`DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

### Constructor Summary

Constructors
`protected` `AbstractOverTimeGraphConsumer()` Instantiates a new abstract over time graph consumer.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract Map<String,GroupInfo>` `createGroupInfos()`
`protected GraphKeysSelector` `createKeysSelector()`
`protected abstract TimeStampKeysSelector` `createTimeStampKeysSelector()` Creates the time stamp keys selector.
`long` `getGranularity()` Gets the granularity.
`void` `initialize()`
`protected void` `initializeExtraResults(MapResultData parentResult)` Inherited classes can add properties to the result
`void` `setGranularity(long granularity)` Sets the granularity.

### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

`consume, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle, startConsuming, stopConsuming`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

`addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

`getChannelAttribute, getSampleContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

`getChannelAttribute, getSampleContext`

### Field Detail

#### RESULT_CTX_GRANULARITY

    public static final String RESULT_CTX_GRANULARITY

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractOverTimeGraphConsumer

    protected AbstractOverTimeGraphConsumer()

Instantiates a new abstract over time graph consumer.

### Method Detail

#### getGranularity

    public long getGranularity()

Gets the granularity.

Returns:
  the granularity

#### setGranularity

    public void setGranularity(long granularity)

Sets the granularity.

Parameters:
  `granularity` - the granularity to set

#### createTimeStampKeysSelector

    protected abstract TimeStampKeysSelector createTimeStampKeysSelector()

Creates the time stamp keys selector.

Returns:
  the time stamp keys selector

#### createKeysSelector

    protected final GraphKeysSelector createKeysSelector()

Specified by:
  `createKeysSelector` in class `AbstractGraphConsumer`

#### createGroupInfos

    protected abstract Map<String,GroupInfo> createGroupInfos()

Specified by:
  `createGroupInfos` in class `AbstractGraphConsumer`

#### initializeExtraResults

    protected void initializeExtraResults(MapResultData parentResult)

Description copied from class: `AbstractGraphConsumer`
Inherited classes can add properties to the result

Specified by:
  `initializeExtraResults` in class `AbstractGraphConsumer`
Parameters:
  `parentResult` - the parent result

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `AbstractGraphConsumer`